Topic: Does FA work with PHP 5.6 or PHP 7.0?

I am currently running PHP version 5.5 on my server but would like to upgrade this version to PHP 5.6. as I also have other sites on this server.

Support for PHP version 5.5 will soon be discontinued by php.net

Is it safe to upgrade my server to PHP 5.6 or even 7.0 without compromising FA?

Thanks / Frank

Re: Does FA work with PHP 5.6 or PHP 7.0?

you can upgrade to php5.6. Actually i am working on it for frontacounting 2.3.25. if you have recent version of frontacounting, you can upgrade to 5.6. but dont go with more advanced.

Re: Does FA work with PHP 5.6 or PHP 7.0?

Thank you!

Re: Does FA work with PHP 5.6 or PHP 7.0?

Any thoughts on when FA will be compatible with PHP 7, I have a few other sites on the same server I'd like to upgrade to PHP 7

Re: Does FA work with PHP 5.6 or PHP 7.0?

Yes the 2.4 version is working on php7.0.
But beware it is still an RC version. Development in progress. Just an few tweaks at it is up for distribution. You can try it, and see if it is working fine for you. The more input there is, the faster the final release will be.

Re: Does FA work with PHP 5.6 or PHP 7.0?

Here are the errors. Note they work on FA  v 2325 but these errors come in the 2.4 reinstalled multiple times and on 2 computers. Always the same result.
must be something in the php.ini but i cant figure it out.


-windows xp pro sp 3
-php 5.49


extensions

Import Transaction :
Cannot redeclare get_reference() (previously declared in C:\Inetpub\wwwroot\FA\includes\references.inc:424) in C:\Inetpub\wwwroot\FA\includes\db\references_db.inc on line 21

RepGen:

Undefined variable: comp_path in file: C:\Inetpub\wwwroot\FA\modules\repgen\repgen_print.php at line 19
fopen(/0/pdf_files/6.pdf): failed to open stream: No such file or directory in file: C:\Inetpub\wwwroot\FA\reporting\includes\tcpdf.php at line 4046
C:\Inetpub\wwwroot\FA\reporting\includes\tcpdf.php:4046:    fopen('/0/pdf_files/6.pdf','wb')
C:\Inetpub\wwwroot\FA\modules\repgen\includes\repgen.inc:1275:    (TCPDF Object)->Output('/0/pdf_files/6.pdf','F')
C:\Inetpub\wwwroot\FA\modules\repgen\repgen_print.php:20:    create_report('6','/0/pdf_files/6.pdf')
TCPDF error: Unable to create output file: /0/pdf_files/6.pdf
C:\Inetpub\wwwroot\FA\includes\ui\ui_msgs.inc:14:    trigger_error('TCPDF error: Unable to create output file: /0/pdf_files/6.pdf','256')
C:\Inetpub\wwwroot\FA\reporting\includes\tcpdf.php:1762:    display_error('TCPDF error: Unable to create output file: /0/pdf_files/6.pdf')
C:\Inetpub\wwwroot\FA\reporting\includes\tcpdf.php:4048:    (TCPDF Object)->Error('Unable to create output file: /0/pdf_files/6.pdf')
C:\Inetpub\wwwroot\FA\modules\repgen\includes\repgen.inc:1275:    (TCPDF Object)->Output('/0/pdf_files/6.pdf','F')
C:\Inetpub\wwwroot\FA\modules\repgen\repgen_print.php:20:    create_report('6','/0/pdf_files/6.pdf')

Check Priniting
Call to undefined function get_alloc_supp_sql() in C:\Inetpub\wwwroot\FA\modules\rep_cheque_print\reporting\rep_cheque_print.php on line 44

Bank Reconcilliation:
Cant get ito show up on either version.

Thanls for your help in advance.

Re: Does FA work with PHP 5.6 or PHP 7.0?

How (and from where) did you install the said extensions?
All extension files will reside in modules/<extension>/ folder.

The file includes/db/references_db.inc is present in FA v2.3 and not in FA v2.4. You may have just copied over the FA 2.4 files onto an existing FA 2.3 install.

Re: Does FA work with PHP 5.6 or PHP 7.0?

I installed it form within setup in the program itself in the install extension section

Yes i did just copy over the 2.4 over and upgraded the database through the program. I thought that was what was suppose to be done can't seem to do a fresh install of 2.4 if i can how would you do a fresh install. Is there another way to install 2.4 freshly

Last edited by cc69 (02/20/2017 06:40:01 am)

Re: Does FA work with PHP 5.6 or PHP 7.0?

Make a new folder for FA 2.4 with it's files.
Copy over the company files for the working companies.
Copy any extensions for the FA 2.4 that were already there in FA 2.3.
The installed_extensions (and the one in the company folder), lang/installed_languages.inc, reporting/fonts must all be copied over from the FA 2.3 with any specifics of FA 2.4 to be inculcated.
Update / create the config.php and config_db.php files in FA 2.4 after referring FA 2.3.
Then when you startup the FA 2.4, your db should get upgraded or manually do so under Setup -> Software Upgrade. Make sure your db was updated to the latest FA 2.3.x before attempting the upgrade. This is necessary for each db / company you have in the installation.

Alternatively, install FA 2.4 afresh and manually create each company and logout.
Manually upload your backup (preferably outside of FA) for each company after adjusting the table prefixes and db names in the sql dump before doing so.
Login to (each) company and do a Setup -> Software Upgrade.
Install your extensions and you should be good to go.